| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KRecentDirs Class Reference

The goal of this class is to make sure that, when the user needs to specify a file via the file selection dialog, this dialog will start in the directory most likely to contain the desired files. More...

`#include <krecentdirs.h>`

List of all members.

## Static Public Member Functions
QStringList | list (const QString &fileClass)
| Returns a list of directories associated with this file-class.
QString | dir (const QString &fileClass)
| Returns the most recently used directory accociated with this file-class.
void | add (const QString &fileClass, const QString &directory)
| Associates `directory` with `fileClass`.

## Detailed Description

The goal of this class is to make sure that, when the user needs to specify a file via the file selection dialog, this dialog will start in the directory most likely to contain the desired files.

This works as follows: Each time the file selection dialog is shown, the programmer can specify a "file-class". The file-dialog will then start with the directory associated with this file-class. When the dialog closes, the directory currently shown in the file-dialog will be associated with the file-class.

A file-class can either start with ':' or with '::'. If it starts with a single ':' the file-class is specific to the current application. If the file-class starts with '::' it is global to all applications.

Definition at line 48 of file krecentdirs.h.

## Member Function Documentation

QStringList KRecentDirs::list | ( | const QString & | fileClass | ) | `[static]`

| Returns a list of directories associated with this file-class. The most recently used directory is at the front of the list. Definition at line 72 of file krecentdirs.cpp. References KStdAccel::key(). Referenced by dir().

QString KRecentDirs::dir | ( | const QString & | fileClass | ) | `[static]`

| Returns the most recently used directory accociated with this file-class. Definition at line 80 of file krecentdirs.cpp. References list(). Referenced by KFileDialog::getStartURL().

void KRecentDirs::add | ( | const QString & | fileClass,
|  | const QString & | directory
| ) | `[static]`

| Associates `directory` with `fileClass`. Definition at line 86 of file krecentdirs.cpp. References KStdAccel::key(), and KConfigBase::writeEntry().

The documentation for this class was generated from the following files:

- krecentdirs.h
- krecentdirs.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:20:57 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001